diff --git a/README.md b/README.md index bb1870c2aa..b745c490d7 100644 --- a/README.md +++ b/README.md @@ -24,5 +24,5 @@ Here are the current statistics of submissions: [Link](https://yawn-sean.github. | Difficulty | Problems | Hints | Solution | | ---------- | -------- | ----- | -------- | -| 1600 | [CF992C](https://codeforces.com/problemset/problem/992/C) | List out the first few steps. | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/11/1101/solution/cf992c.md) | -| 2100 | [CF295C](https://codeforces.com/problemset/problem/295/C) | For each "round", what status should you care about? | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/11/1101/solution/cf295c.md) | \ No newline at end of file +| 1600 | [CF1062C](https://codeforces.com/problemset/problem/1062/C) | For each segment, find a optimal way to operate. Which variables determine the answer? | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/11/1102/solution/cf1062c.md) | +| 2200 | [CF868D](https://codeforces.com/problemset/problem/868/D) | When considering substrings of length $k$, the concatenation of strings does not generate a lot of different ones. | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/11/1102/solution/cf868d.md) | \ No newline at end of file diff --git a/categories/bitmask.md b/categories/bitmask.md index 1cba4b800f..a7a6ef991a 100644 --- a/categories/bitmask.md +++ b/categories/bitmask.md @@ -25,6 +25,7 @@ | 2200 | [CF855E](https://codeforces.com/problemset/problem/855/E) | Classic digit DP. What information should you store to speed up the solution? | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/03/0307/solution/cf855e.md) | | 2200 | [CF743E](https://codeforces.com/problemset/problem/743/E) | We have a limited number of different numbers, so use it in your DP. | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/03/0329/solution/cf743e.md) | | 2200 | [CF946E](https://codeforces.com/problemset/problem/946/E) | Easy greedy problem. Notice that you can use any digit after the first different character. | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/04/0406/solution/cf946e.md) | +| 2200 | [CF868D](https://codeforces.com/problemset/problem/868/D) | When considering substrings of length $k$, the concatenation of strings does not generate a lot of different ones. | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/11/1102/solution/cf868d.md) | | 2400 | [CF744C](https://codeforces.com/problemset/problem/744/C) | Notice that the token spent can't vary too much. | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/03/0330/solution/cf744c.md) | | 2400 | [CF1673F](https://codeforces.com/problemset/problem/1673/F) | A cycle means $0$ . | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/08/0831/solution/cf1673f.md) | | 2400 | [CF1679E](https://codeforces.com/problemset/problem/1679/E) | For each substring, there is a multiple choice of character set that can make it palindrome. How can the set be calculated? For each set, how many different palindromes can be produced? | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/09/0928/solution/cf1679e.md) | \ No newline at end of file diff --git a/categories/brain_teaser.md b/categories/brain_teaser.md index 3283a216a8..aab90a2721 100644 --- a/categories/brain_teaser.md +++ b/categories/brain_teaser.md @@ -61,4 +61,5 @@ | 2200 | [CF852F](https://codeforces.com/problemset/problem/852/F) | Use Logarithm. | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/05/0511/solution/cf852f.md) | | 2200 | [CF713B](https://codeforces.com/problemset/problem/713/B) | It is always easier to solve the problem for $1$ rectangle. Find one large rectangle that only contains one without overlapping with the other. | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/07/0727/solution/cf713b.md) | | 2200 | [CF731E](https://codeforces.com/problemset/problem/731/E) | It's about choosing the prefix sum in turn while the array keeps changing. Or, the array is not actually changing? | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/08/0810/solution/cf731e.md) | +| 2200 | [CF868D](https://codeforces.com/problemset/problem/868/D) | When considering substrings of length $k$, the concatenation of strings does not generate a lot of different ones. | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/11/1102/solution/cf868d.md) | | 2300 | [CF1065E](https://codeforces.com/problemset/problem/1065/E) | Check the string and the reversed string. What happens in a operation? | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/09/0914/solution/cf1065e.md) | diff --git a/categories/data_structures.md b/categories/data_structures.md index 3ae3176001..d98071d2ba 100644 --- a/categories/data_structures.md +++ b/categories/data_structures.md @@ -14,6 +14,7 @@ | 1600 | [CF858D](https://codeforces.com/problemset/problem/858/D) | You only need to decide whether all occurences of one substring come from the same string. | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/09/0907/solution/cf858d.md) | | 1600 | [CF416C](https://codeforces.com/problemset/problem/416/C) | Consider each table from small to large. | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/09/0927/solution/cf416c.md) | | 1600 | [CF407B](https://codeforces.com/problemset/problem/407/B) | When you have to go to $p_i$ , how many steps does it take to get to $i$ again. | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/10/1025/solution/cf407b.md) | +| 1600 | [CF1062C](https://codeforces.com/problemset/problem/1062/C) | For each segment, find a optimal way to operate. Which variables determine the answer? | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/11/1102/solution/cf1062c.md) | | 1700 | [CF1185C2](https://codeforces.com/problemset/problem/1185/C2) | Greedy approach. Maintain them in a data structure | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/03/0304/solution/cf1185c2.md) | | 1700 | [CF827A](https://codeforces.com/problemset/problem/827/A) | Fill up the strings. Avoid filling up the same blank twice. | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/03/0313/solution/cf827a.md) | | 1700 | [CF1413D](https://codeforces.com/problemset/problem/1413/D) | Classic data structure problem. Each `- x` offers a constraint. Note that you don't have to process the events online and you can order the items. | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/03/0326/solution/cf1413d.md) | diff --git a/categories/greedy.md b/categories/greedy.md index 413c8e81da..88c1c45ad6 100644 --- a/categories/greedy.md +++ b/categories/greedy.md @@ -23,6 +23,7 @@ | 1600 | [CF847H](https://codeforces.com/problemset/problem/847/H) | You only need to decide where the "middle point" is. | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/10/1011/solution/cf847h.md) | | 1600 | [CF1082C](https://codeforces.com/problemset/problem/1082/C) | Iterate over the number of students participating in each group. | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/10/1012/solution/cf1082c.md) | | 1600 | [CF712C](https://codeforces.com/problemset/problem/712/C) | When making the triangle smaller, it's easy to generate an illegal triangle. So you should do it reversely. | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/10/1026/solution/cf712c.md) | +| 1600 | [CF1062C](https://codeforces.com/problemset/problem/1062/C) | For each segment, find a optimal way to operate. Which variables determine the answer? | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/11/1102/solution/cf1062c.md) | | 1700 | [CF1185C2](https://codeforces.com/problemset/problem/1185/C2) | Greedy approach. Maintain them in a data structure | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/03/0304/solution/cf1185c2.md) | | 1700 | [CF827A](https://codeforces.com/problemset/problem/827/A) | Fill up the strings. Avoid filling up the same blank twice. | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/03/0313/solution/cf827a.md) | | 1700 | [CF1413D](https://codeforces.com/problemset/problem/1413/D) | Classic data structure problem. Each `- x` offers a constraint. Note that you don't have to process the events online and you can order the items. | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/03/0326/solution/cf1413d.md) |